Uncaught TypeError: Cannot read property 'isDestroyed' of undefined #176

Closed
aditiapratama opened this Issue May 5, 2016 · 20 comments

Comments

Projects
None yet
@aditiapratama

[Enter steps to reproduce below:]

  1. Open css file
  2. the error show up

Atom Version: 1.9.0-dev-4da23fd
System: "Fedora release
Thrown From: pigments package, v0.26.0

Stack Trace

Uncaught TypeError: Cannot read property 'isDestroyed' of undefined

At /home/aditia/.atom/packages/pigments/lib/color-marker-element.coffee:64

TypeError: Cannot read property 'isDestroyed' of undefined
    at pigments-color-marker.ColorMarkerElement.render (/home/aditia/.atom/packages/pigments/lib/color-marker-element.coffee:64:47)
    at pigments-color-marker.ColorMarkerElement.setModel (/home/aditia/.atom/packages/pigments/lib/color-marker-element.coffee:52:6)
    at pigments-markers.ColorBufferElement.requestMarkerView (/home/aditia/.atom/packages/pigments/lib/color-buffer-element.coffee:276:10)
    at pigments-markers.ColorBufferElement.updateMarkers (/home/aditia/.atom/packages/pigments/lib/color-buffer-element.coffee:259:8)
    at /home/aditia/.atom/packages/pigments/lib/color-buffer-element.coffee:44:33

Commands

     -9:18.5.0 tabs:split-left (li.texteditor.tab.sortable.active.right-clicked)
     -5:01.0 core:backspace (atom-text-editor#atom-material-ui.fonts.fontSize.editor.mini.is-focused)
     -4:55.9.0 editor:consolidate-selections (atom-text-editor#atom-material-ui.fonts.fontSize.editor.mini.is-focused)
     -4:55.9.0 core:cancel (atom-text-editor#atom-material-ui.fonts.fontSize.editor.mini.is-focused)
  7x -4:44.5.0 core:backspace (atom-text-editor#atom-material-ui.fonts.fontSize.editor.mini.is-focused)
     -2:25.3.0 settings-view:open (atom-text-editor.editor.vim-mode.normal-mode)

Config

{
  "core": {
    "autoHideMenuBar": true,
    "automaticallyUpdate": false,
    "disabledPackages": [
      "w3c-validation",
      "aligner-php",
      "autocomplete-php",
      "git-history",
      "expose",
      "tree-view-git-branch"
    ],
    "packagesWithKeymapsDisabled": [],
    "themes": [
      "atom-material-ui",
      "one-dark-syntax"
    ]
  }
}

Installed Packages

# User
.bin, vundefined (inactive)
advanced-open-file, v0.16.2 (inactive)
aligner-php, v1.0.0 (inactive)
atom-beautify, v0.29.7 (inactive)
atom-css-unit-converter, v1.1.1 (inactive)
atom-dark-fusion-syntax, v1.1.0 (inactive)
atom-material-syntax-dark, v0.2.5 (inactive)
atom-material-syntax-light, v0.4.5 (inactive)
atom-material-ui, v1.2.11 (active)
atom-monokai, v0.10.2 (inactive)
atom-typescript, v8.9.1 (active)
autocomplete-emojis, v2.3.0 (active)
autocomplete-paths, v1.0.2 (active)
autocomplete-php, v0.3.7 (inactive)
cake-syntax, v0.5.0 (inactive)
color-picker, v2.1.1 (active)
eclectic-syntax, v0.2.1 (inactive)
emmet, v2.4.3 (active)
expose, v0.11.1 (inactive)
file-icons, v1.7.9 (active)
firewatch-syntax, v1.0.1 (inactive)
fizzy, v0.16.0 (inactive)
font-viewer, v0.3.1 (active)
fonts, v1.2.0 (active)
genesis-ui, v0.5.0 (inactive)
git-blame, v0.4.8 (inactive)
git-control, v0.7.1 (inactive)
git-diff-details, v1.3.0 (active)
git-history, v3.2.0 (inactive)
git-log, v0.4.1 (active)
git-plus, v5.13.4 (inactive)
git-projects, v1.17.0 (active)
git-time-machine, v1.5.2 (inactive)
gruvbox-syntax, v2.3.1 (inactive)
linter, v1.11.4 (active)
merge-conflicts, v1.4.2 (active)
minimap, v4.23.3 (active)
monokai, v0.18.0 (inactive)
monokai-seti, v0.7.0 (inactive)
multi-cursor, v2.1.3 (inactive)
native-ui, v0.17.0 (inactive)
neon-selection, v0.3.2 (active)
nucleus-dark-ui, v0.7.20 (inactive)
open-in-browser, v0.4.7 (inactive)
open-terminal-here, v2.1.4 (inactive)
pigments, v0.26.0 (active)
project-manager, v2.9.7 (active)
project-plus, v0.8.2 (active)
Remote-FTP, v0.8.3 (active)
seti-syntax, v1.0.1 (inactive)
seti-ui, v1.0.4 (inactive)
sort-lines, v0.14.0 (inactive)
split-diff, v0.7.5 (inactive)
state-of-nature-syntax, v0.1.0 (inactive)
Sublime-Style-Column-Selection, v1.5.1 (active)
svg-preview, v0.7.4 (active)
sync-settings, v0.7.2 (active)
tag, v0.4.0 (active)
tango-syntax, v0.4.1 (inactive)
tool-bar, v0.4.0 (active)
tool-bar-almighty, v0.6.1 (active)
tree-view-git-branch, v0.1.2 (inactive)
tree-view-git-status, v0.2.3 (active)
vim-mode, v0.65.0 (active)
w3c-validation, v0.4.0 (inactive)
wordpress-api, v1.2.2 (active)
zip-folder, v3.2.0 (inactive)
atom-dark-syntax, v0.27.0 (inactive)
atom-dark-ui, v0.51.0 (inactive)
atom-light-syntax, v0.28.0 (inactive)
atom-light-ui, v0.43.0 (inactive)
base16-tomorrow-dark-theme, v1.1.0 (inactive)
base16-tomorrow-light-theme, v1.1.1 (inactive)
one-dark-ui, v1.3.1 (inactive)
one-light-ui, v1.3.1 (inactive)
one-dark-syntax, v1.2.0 (active)
one-light-syntax, v1.2.0 (inactive)
solarized-dark-syntax, v1.0.2 (inactive)
solarized-light-syntax, v1.0.2 (inactive)
about, v1.5.2 (active)
archive-view, v0.61.1 (active)
autocomplete-atom-api, v0.10.0 (active)
autocomplete-css, v0.11.1 (active)
autocomplete-html, v0.7.2 (active)
autocomplete-plus, v2.31.0 (active)
autocomplete-snippets, v1.10.0 (active)
autoflow, v0.27.0 (inactive)
autosave, v0.23.1 (active)
background-tips, v0.26.0 (active)
bookmarks, v0.41.0 (active)
bracket-matcher, v0.82.0 (active)
command-palette, v0.38.0 (inactive)
deprecation-cop, v0.54.1 (active)
dev-live-reload, v0.47.0 (active)
encoding-selector, v0.22.0 (active)
exception-reporting, v0.38.1 (active)
fuzzy-finder, v1.0.5 (active)
git-diff, v1.0.1 (active)
find-and-replace, v0.198.0 (inactive)
go-to-line, v0.30.0 (inactive)
grammar-selector, v0.48.1 (active)
image-view, v0.57.0 (active)
incompatible-packages, v0.26.1 (active)
keybinding-resolver, v0.35.0 (active)
line-ending-selector, v0.5.0 (active)
link, v0.31.1 (inactive)
markdown-preview, v0.158.0 (active)
metrics, v0.53.1 (active)
notifications, v0.63.2 (active)
open-on-github, v1.1.0 (inactive)
package-generator, v1.0.0 (inactive)
settings-view, v0.236.0 (active)
snippets, v1.0.2 (active)
spell-check, v0.67.1 (active)
status-bar, v1.2.6 (active)
styleguide, v0.45.2 (active)
symbols-view, v0.113.0 (inactive)
tabs, v0.93.2 (active)
timecop, v0.33.1 (active)
tree-view, v0.206.2 (active)
update-package-dependencies, v0.10.0 (active)
welcome, v0.34.0 (active)
whitespace, v0.32.2 (active)
wrap-guide, v0.38.1 (active)
language-c, v0.51.4 (active)
language-clojure, v0.20.0 (active)
language-coffee-script, v0.47.0 (active)
language-csharp, v0.12.1 (active)
language-css, v0.36.1 (active)
language-gfm, v0.86.0 (active)
language-git, v0.13.0 (active)
language-go, v0.42.0 (active)
language-html, v0.44.1 (active)
language-hyperlink, v0.16.0 (active)
language-java, v0.18.0 (active)
language-javascript, v0.110.0 (active)
language-json, v0.18.0 (active)
language-less, v0.29.3 (active)
language-make, v0.22.0 (active)
language-mustache, v0.13.0 (active)
language-objective-c, v0.15.1 (active)
language-perl, v0.34.0 (active)
language-php, v0.37.0 (active)
language-property-list, v0.8.0 (active)
language-python, v0.43.1 (active)
language-ruby, v0.68.5 (active)
language-ruby-on-rails, v0.25.0 (active)
language-sass, v0.49.0 (active)
language-shellscript, v0.22.0 (active)
language-source, v0.9.0 (active)
language-sql, v0.21.0 (active)
language-text, v0.7.1 (active)
language-todo, v0.27.0 (active)
language-toml, v0.18.0 (active)
language-xml, v0.34.5 (active)
language-yaml, v0.26.0 (active)

# Dev
No dev packages

@abe33 abe33 closed this in 3e17f2f May 5, 2016

@amejiarosario

This comment has been minimized.

Show comment
Hide comment
@amejiarosario

amejiarosario Aug 2, 2016

image

How do I fix it?

image

How do I fix it?

@parsoyaarihant

This comment has been minimized.

Show comment
Hide comment
@parsoyaarihant

parsoyaarihant Aug 3, 2016

I am also facing the same problem.

I am also facing the same problem.

@vanessa-sangiorgio

This comment has been minimized.

Show comment
Hide comment
@vanessa-sangiorgio

vanessa-sangiorgio Aug 3, 2016

Same problem, what we should do?

Same problem, what we should do?

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Aug 3, 2016

I'm getting this issue too

ghost commented Aug 3, 2016

I'm getting this issue too

@ipep84

This comment has been minimized.

Show comment
Hide comment
@ipep84

ipep84 Aug 3, 2016

Getting the same issue since today .

ipep84 commented Aug 3, 2016

Getting the same issue since today .

@tatems

This comment has been minimized.

Show comment
Hide comment
@tatems

tatems Aug 3, 2016

Also getting the same issue this morning

tatems commented Aug 3, 2016

Also getting the same issue this morning

@kmiters

This comment has been minimized.

Show comment
Hide comment
@kmiters

kmiters Aug 3, 2016

I'm also getting this one. I came up just after switching computers.

kmiters commented Aug 3, 2016

I'm also getting this one. I came up just after switching computers.

@glauberramos

This comment has been minimized.

Show comment
Hide comment
@glauberramos

glauberramos Aug 3, 2016

I am having as well

I am having as well

@tatems

This comment has been minimized.

Show comment
Hide comment
@tatems

tatems Aug 3, 2016

I seem to have fixed it after uninstalling, restarting atom, and reinstalling.

tatems commented Aug 3, 2016

I seem to have fixed it after uninstalling, restarting atom, and reinstalling.

@yamakawa-oki13

This comment has been minimized.

Show comment
Hide comment
@yamakawa-oki13

yamakawa-oki13 Aug 4, 2016

I got a same problem.
Anyway to fix it without re-installing?

I got a same problem.
Anyway to fix it without re-installing?

@ahm786

This comment has been minimized.

Show comment
Hide comment
@ahm786

ahm786 Aug 4, 2016

Disabling the package until the issue is fixed.

ahm786 commented Aug 4, 2016

Disabling the package until the issue is fixed.

@amejiarosario

This comment has been minimized.

Show comment
Hide comment
@amejiarosario

amejiarosario Aug 4, 2016

I updated the package and the issues went away

On Thu, Aug 4, 2016 at 02:19 ahm786 notifications@github.com wrote:

Uninstalling the package until the issue is fixed.


You are receiving this because you commented.
Reply to this email directly, view it on GitHub
#176 (comment),
or mute the thread
https://github.com/notifications/unsubscribe-auth/AAZjLaHXgA-ajiJVLFPs0Z9TuSLqAwAHks5qcYSHgaJpZM4IXz19
.

I updated the package and the issues went away

On Thu, Aug 4, 2016 at 02:19 ahm786 notifications@github.com wrote:

Uninstalling the package until the issue is fixed.


You are receiving this because you commented.
Reply to this email directly, view it on GitHub
#176 (comment),
or mute the thread
https://github.com/notifications/unsubscribe-auth/AAZjLaHXgA-ajiJVLFPs0Z9TuSLqAwAHks5qcYSHgaJpZM4IXz19
.

@MrPluto

This comment has been minimized.

Show comment
Hide comment
@MrPluto

MrPluto Aug 8, 2016

same here. any solutions? solved use @jt-platterz 🍻

MrPluto commented Aug 8, 2016

same here. any solutions? solved use @jt-platterz 🍻

@bertin

This comment has been minimized.

Show comment
Hide comment
@bertin

bertin Aug 9, 2016

Same problem here. Updating atom packages with the command "apm update" from my project root fixed the problem. (I start up atom with the "atom ." command from my project root too)

bertin commented Aug 9, 2016

Same problem here. Updating atom packages with the command "apm update" from my project root fixed the problem. (I start up atom with the "atom ." command from my project root too)

@Heizenburg

This comment has been minimized.

Show comment
Hide comment
@Heizenburg

Heizenburg Aug 10, 2016

@MrPluto wait does that mean that I have to reinstall all my packages once I have installed atom again?

@MrPluto wait does that mean that I have to reinstall all my packages once I have installed atom again?

@Keith-Clark

This comment has been minimized.

Show comment
Hide comment
@Keith-Clark

Keith-Clark Aug 12, 2016

Had the same issue.
atom-minimap/minimap#511
^ this fixed it. More specifically, manually closing and restarting Atom.

Keith-Clark commented Aug 12, 2016

Had the same issue.
atom-minimap/minimap#511
^ this fixed it. More specifically, manually closing and restarting Atom.

@bryandowning

This comment has been minimized.

Show comment
Hide comment
@bryandowning

bryandowning Aug 25, 2016

I had this problem. When I updated minimap, Atom failed to restart it. I disabled minimap, restarted Atom, enabled minimap, then restarted Atom again.

I had this problem. When I updated minimap, Atom failed to restart it. I disabled minimap, restarted Atom, enabled minimap, then restarted Atom again.

@mvoncken

This comment has been minimized.

Show comment
Hide comment
@mvoncken

mvoncken Sep 5, 2016

I get this exception when I type #add

Menu->file->new
type "#add" in the editor -> press enter -> wait a moment

mvoncken commented Sep 5, 2016

I get this exception when I type #add

Menu->file->new
type "#add" in the editor -> press enter -> wait a moment

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Jun 24, 2017

same issue here

ghost commented Jun 24, 2017

same issue here

@C-Bouthoorn

This comment has been minimized.

Show comment
Hide comment
@C-Bouthoorn

C-Bouthoorn Jun 27, 2017

Collaborator

@SmartSapien Have you tried @Keith-Clark 's fix?

Collaborator

C-Bouthoorn commented Jun 27, 2017

@SmartSapien Have you tried @Keith-Clark 's fix?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment